# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename ast-types

Name:               nodejs-ast-types
Version:            0.4.5
Release:            2%{?dist}
Summary:            Esprima-compatible implementation of the Mozilla JS Parser API

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/ast-types
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(esprima)
BuildRequires:      npm(mocha)
%endif


%description
This module provides an efficient, modular, Esprima-compatible implementation
of the abstract syntax tree type hierarchy pioneered by the Mozilla Parser API.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ast-types
cp -pr package.json main.js lib/ def/ \
    %{buildroot}%{nodejs_sitelib}/ast-types

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec test/run.js
%endif


%files
%doc README.md LICENSE
%{nodejs_sitelib}/ast-types/

%changelog
* Sat Sep 05 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.4.5-2
- package missing def dir

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.4.5-1
- Initial packaging for Fedora.
